Skip to content
Changelog

Report a bug

Zoho Inventory integration: operations for AI agents

Zoho Inventory connects to Type.com as an integration. This page lists the 583 operations documented for Claude and Codex in Type.com: 168 read, 221 write, 194 destructive.

About Zoho Inventory

Zoho Inventory helps businesses track stock, manage orders, and sync inventory across multiple sales channels, streamlining supply chain operations

Categories: Finance & Accounting

How to connect Zoho Inventory to Type.com

Access
Organization connection: one shared account for the workspace.

To add the connection, follow the steps in Space connections.

Documented operations

583 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

583 operations listed.

Replenishment

  • Read

    Retrieve replenishment configurations for associated locations

    Fetches the replenishment configurations of the associated locations for an item.

    GET /items/{item_id}/locations/replenishments

  • Read

    Retrieve replenishment configurations for associated warehouses

    Fetches the replenishment configurations of the associated warehouses for an item. Applicable only when multi-warehouse is enabled for the organization.

    GET /items/{item_id}/warehouses/replenishments

  • Read

    Retrieve a replenishment configuration

    Fetches the details of a replenishment configuration.

    GET /replenishments/{replenishment_configuration_id}

  • Read

    List all replenishment tasks

    Lists replenishment tasks in your organization.

    GET /replenishments/tasks

  • Read

    Retrieve a replenishment task

    Fetches the details of a replenishment task.

    GET /replenishments/tasks/{task_id}

  • Read

    Retrieve replenishment task details for an item

    Fetches the replenishment task details for the specified item.

    GET /replenishments/tasks/details

  • Read

    Retrieve replenishment order details

    Fetches the order details for a replenishment configuration.

    GET /replenishments/orders

  • Read

    Retrieve replenishment task details report

    Fetches the replenishment task details report.

    GET /reports/replenishments/tasks

  • Write

    Create a replenishment configuration

    Creates a replenishment configuration for an item.

    POST /replenishments

  • Write

    Generate a replenishment task

    Generates a replenishment task for a replenishment configuration.

    POST /replenishments/{replenishment_configuration_id}/tasks/generate

  • Write

    Bulk generate replenishment tasks

    Generates replenishment tasks for the specified items.

    POST /replenishments/tasks/generate

  • Destructive

    Update a replenishment configuration

    Updates an existing replenishment configuration.

    PUT /replenishments/{replenishment_configuration_id}

  • Destructive

    Bulk update replenishment configurations

    Updates replenishment configurations for the specified item and location combinations.

    PUT /replenishments

  • Destructive

    Dismiss a replenishment task

    Dismisses a replenishment task.

    PUT /replenishments/tasks/{task_id}/dismiss

  • Destructive

    Pause a replenishment configuration

    Pauses a replenishment configuration until the specified date.

    PUT /replenishments/{replenishment_configuration_id}/pause

  • Destructive

    Bulk pause replenishment configurations

    Pauses replenishment configurations for the specified item and location combinations.

    PUT /replenishments/pause

  • Destructive

    Resume a replenishment configuration

    Resumes a paused replenishment configuration.

    PUT /replenishments/{replenishment_configuration_id}/resume

  • Destructive

    Bulk resume replenishment configurations

    Resumes paused replenishment configurations for the specified item and location combinations.

    PUT /replenishments/resume

  • Destructive

    Bulk dismiss replenishment tasks

    Dismisses the specified replenishment tasks.

    PUT /replenishments/tasks/dismiss

Itemgroups

  • Read

    List all Item Groups

    Lists all the Item Groups that are present in the Zoho Inventory organization.

    GET /itemgroups

  • Read

    Retrieve an Item Group

    Fetches the details for an existing Item Group.

    GET /itemgroups/{itemgroup_id}

  • Write

    Create an Item Group

    A new Item Group can a be created. While creating items, user can attach image for product group by passing form-data parameter image i.e., -F image=bags.jpg .

    POST /itemgroups

  • Write

    Mark as Active

    Marks an Item group as Active.

    POST /itemgroups/{itemgroup_id}/active

  • Write

    Mark as Inactive.

    Marks as Item Group as Inactive.

    POST /itemgroups/{itemgroup_id}/inactive

  • Destructive

    Update an Item Group

    Updates the details of an existing Item Group.

    PUT /itemgroups/{itemgroup_id}

  • Destructive

    Delete an Item Group

    Deletes an existing Item Group from Zoho Inventory.

    DELETE /itemgroups/{itemgroup_id}

Categories

  • Read

    List all categories

    Lists all categories in the organization. Supports filtering by parent, name, status filters, and pagination.

    GET /categories

  • Read

    Retrieve a category

    Fetches the details of an existing category, including ancestors, children, and related metadata.

    GET /categories/{category_id}

  • Write

    Create a category

    Creates a new category.

    POST /categories

  • Destructive

    Update a category

    Updates an existing category.

    PUT /categories/{category_id}

  • Destructive

    Delete a category

    Deletes an existing category from Zoho Inventory.

    DELETE /categories/{category_id}

Contacts

  • Read

    List contacts

    List all contacts with pagination.

    GET /contacts

  • Read

    Get contact

    Get details of a contact.

    GET /contacts/{contact_id}

  • Read

    Get contact address

    Get the billing and shipping address of an existing contact

    GET /contacts/{contact_id}/address

  • Read

    Get Statement mail content

    Get the mail content of a contacts billing statement.

    GET /contacts/{contact_id}/statements/email

  • Read

    List Comments

    List recent activities of a contact.

    GET /contacts/{contact_id}/comments

  • Write

    Create a Contact

    Create a contact with given information.

    POST /contacts

  • Write

    Mark as active

    Mark a contact as active.

    POST /contacts/{contact_id}/active

  • Write

    Mark as Inactive

    Mark a contact as inactive.

    POST /contacts/{contact_id}/inactive

  • Write

    Email statement

    Email statement to the contact. If JSONString is not inputted, mail will be sent with the default mail content.

    POST /contacts/{contact_id}/statements/email

  • Write

    Email contact

    Send email to contact.

    POST /contacts/{contact_id}/email

  • Destructive

    Update a contact

    Update an existing contact. To delete a contact person remove it from the contactpersons list.

    PUT /contacts/{contact_id}

  • Destructive

    Delete a contact

    Delete an existing contact.

    DELETE /contacts/{contact_id}

Invoices

  • Read

    List invoices

    List all invoices with pagination.

    GET /invoices

  • Read

    Get an invoice

    Get the details of an invoice.

    GET /invoices/{invoice_id}

  • Read

    Get invoice email content

    Get the email content of an invoice.

    GET /invoices/{invoice_id}/email

  • Read

    Get payment reminder mail content

    Get the mail content of the payment reminder.

    GET /invoices/{invoice_id}/paymentreminder

  • Read

    Bulk export Invoices

    Maximum of 25 invoices can be exported in a single pdf.

    GET /invoices/pdf

  • Read

    Bulk print invoices

    Export invoices as pdf and print them. Maximum of 25 invoices can be printed.

    GET /invoices/print

  • Read

    List invoice templates

    Get all invoice pdf templates.

    GET /invoices/templates

  • Read

    List invoice payments

    Get the list of payments made for an invoice.

    GET /invoices/{invoice_id}/payments

  • Read

    List credits applied

    Get the list of credits applied for an invoice.

    GET /invoices/{invoice_id}/creditsapplied

  • Read

    Get an invoice attachment

    Returns the file attached to the invoice.

    GET /invoices/{invoice_id}/attachment

  • Read

    List invoice comments & history

    Get the complete history and comments of an invoice.

    GET /invoices/{invoice_id}/comments

  • Write

    Create an invoice

    Create an invoice for your customer.

    POST /invoices

  • Write

    Mark an invoice as sent

    Mark a draft invoice as sent.

    POST /invoices/{invoice_id}/status/sent

  • Write

    Mark as draft

    Mark a voided invoice as draft.

    POST /invoices/{invoice_id}/status/draft

  • Write

    Email an invoice

    Email an invoice to the customer. Input json string is not mandatory. If input json string is empty, mail will be send with default mail content.

    POST /invoices/{invoice_id}/email

  • Write

    Email invoices

    Send invoices to your customers by email. Maximum of 10 invoices can be sent at once.

    POST /invoices/email

  • Write

    Disable payment reminder

    Disable automated payment reminders for an invoice.

    POST /invoices/{invoice_id}/paymentreminder/disable

  • Write

    Enable payment reminder

    Enable automated payment reminders for an invoice.

    POST /invoices/{invoice_id}/paymentreminder/enable

  • Write

    Write off invoice

    Write off the invoice balance amount of an invoice.

    POST /invoices/{invoice_id}/writeoff

  • Write

    Apply credits

    Apply the customer credits either from credit notes or excess customer payments to an invoice. Multiple credits can be applied at once.

    POST /invoices/{invoice_id}/credits

  • Write

    Add attachment to an invoice

    Attach a file to an invoice.

    POST /invoices/{invoice_id}/attachment

  • Write

    Add comment

    Add a comment for an invoice.

    POST /invoices/{invoice_id}/comments

  • Write

    Submit an invoice for approval

    Submit an invoice for approval workflow.

    POST /invoices/{invoice_id}/submit

  • Write

    Approve an invoice

    Approve a submitted invoice.

    POST /invoices/{invoice_id}/approve

  • Write

    Final approval of an invoice

    Perform the final approval of an invoice (admin only).

    POST /invoices/{invoice_id}/approve/final

  • Write

    Reject an invoice

    Reject a submitted invoice.

    POST /invoices/{invoice_id}/reject

  • Write

    Bulk submit invoices for approval

    Submit multiple invoices for approval workflow at once.

    POST /invoices/submit

  • Write

    Bulk approve invoices

    Approve multiple submitted invoices at once.

    POST /invoices/approve

  • Destructive

    Update an invoice

    Update an existing invoice. To delete a line item just remove it from the lineitems list.

    PUT /invoices/{invoice_id}

  • Destructive

    Delete an invoice

    Delete an existing invoice. Invoices which have payment or credits note applied cannot be deleted.

    DELETE /invoices/{invoice_id}

  • Destructive

    Update custom field in existing invoices

    Update the value of the custom field in existing invoices.

    PUT /invoice/{invoice_id}/customfields

  • Destructive

    Void an invoice

    Mark an invoice status as void. Upon voiding, the payments and credits associated with the invoices will be unassociated and will be under customer credits.

    POST /invoices/{invoice_id}/status/void

  • Destructive

    Cancel write off

    Cancel the write off amount of an invoice.

    POST /invoices/{invoice_id}/writeoff/cancel

  • Destructive

    Update billing address

    Updates the billing address for this invoice alone.

    PUT /invoices/{invoice_id}/address/billing

  • Destructive

    Update shipping address

    Updates the shipping address for this invoice alone.

    PUT /invoices/{invoice_id}/address/shipping

  • Destructive

    Update invoice template

    Update the pdf template associated with the invoice.

    PUT /invoices/{invoice_id}/templates/{template_id}

  • Destructive

    Delete a payment

    Delete a payment made to an invoice.

    DELETE /invoices/{invoice_id}/payments/{invoice_payment_id}

  • Destructive

    Delete applied credit

    Delete a particular credit applied to an invoice.

    DELETE /invoices/{invoice_id}/creditsapplied/{creditnotes_invoice_id}

  • Destructive

    Update attachment preference

    Set whether you want to send the attached file while emailing the invoice.

    PUT /invoices/{invoice_id}/attachment

  • Destructive

    Delete an attachment

    Delete the file attached to the invoice.

    DELETE /invoices/{invoice_id}/attachment

  • Destructive

    Update comment

    Update an existing comment of an invoice.

    PUT /invoices/{invoice_id}/comments/{comment_id}

  • Destructive

    Delete a comment

    Delete an invoice comment.

    DELETE /invoices/{invoice_id}/comments/{comment_id}

Unit of measurement

  • Read

    List all unit groups

    Lists all the unit groups configured in Zoho Inventory.

    GET /unitgroups

  • Read

    Retrieve a unit group

    Fetches the details of an existing unit group.

    GET /unitgroups/{unit_group_id}

  • Read

    List all units

    Lists all the units configured in Zoho Inventory.

    GET /units

  • Read

    List unit conversions

    Lists all the unit conversions for a unit.

    GET /units/{unit_id}/unitconversions

  • Write

    Create a unit group

    Creates a new unit group in Zoho Inventory.

    POST /unitgroups

  • Write

    Create a unit

    Creates a new unit in Zoho Inventory.

    POST /units

  • Write

    Create a unit conversion

    Creates a new unit conversion for a unit.

    POST /units/{unit_id}/unitconversions

  • Destructive

    Update a unit group

    Updates the details of an existing unit group.

    PUT /unitgroups/{unit_group_id}

  • Destructive

    Delete a unit group

    Deletes an existing unit group from Zoho Inventory.

    DELETE /unitgroups/{unit_group_id}

  • Destructive

    Update a unit

    Updates the details of an existing unit.

    PUT /units/{unit_id}

  • Destructive

    Delete a unit

    Deletes an existing unit from Zoho Inventory.

    DELETE /units/{unit_id}

  • Destructive

    Update a unit conversion

    Updates an existing unit conversion for a unit.

    PUT /units/{unit_id}/unitconversions/{unit_conversion_id}

  • Destructive

    Delete a unit conversion

    Deletes an existing unit conversion from a unit.

    DELETE /units/{unit_id}/unitconversions/{unit_conversion_id}

Purchasereceives

  • Read

    List all purchase receives

    List all purchase receives, with options to filter by status, vendor, date range, and other criteria.

    GET /purchasereceives

  • Read

    Retrieve a purchase receive

    Retrieve a purchase receive from Zoho Inventory.

    GET /purchasereceives/{purchasereceive_id}

  • Read

    Get a purchase receive attachment

    Retrieve or download an attachment from a purchase receive.

    GET /purchasereceives/{purchasereceive_id}/documents/{document_id}

  • Write

    Create a purchase receive

    Create a purchase receive for a purchase order. Pass purchaseorderid as a query parameter. To receive against billed items, include billlineitems (with billitemid and quantity ) to map one or more bill line items.

    POST /purchasereceives

  • Write

    Submit a purchase receive for approval

    Submit a purchase receive for approval.

    POST /purchasereceives/{purchasereceive_id}/submit

  • Write

    Approve a purchase receive

    Approve a purchase receive that has been submitted for approval.

    POST /purchasereceives/{purchasereceive_id}/approve

  • Write

    Reject a purchase receive

    Reject a purchase receive that has been submitted for approval.

    POST /purchasereceives/{purchasereceive_id}/reject

  • Write

    Mark a purchase receive as received

    Mark a purchase receive as received.

    POST /purchasereceives/{purchasereceive_id}/setstatusasreceived

  • Write

    Mark a purchase receive as in transit

    Mark a purchase receive as in transit.

    POST /purchasereceives/{purchasereceive_id}/setstatusasintransit

  • Write

    Mark purchase receives as received in bulk

    Mark multiple purchase receives as received.

    POST /purchasereceives/setstatusasreceived

  • Write

    Mark purchase receives as in transit in bulk

    Mark multiple purchase receives as in transit.

    POST /purchasereceives/setstatusasintransit

  • Write

    Add an attachment to a purchase receive

    Attach a file to an existing purchase receive. Maximum file size is 10 MB. Up to 20 files can be attached.

    POST /purchasereceives/{purchasereceive_id}/attachment

  • Write

    Add a comment to a purchase receive

    Add a comment to an existing purchase receive.

    POST /purchasereceives/{purchasereceive_id}/comments

  • Destructive

    Delete purchase receives in bulk

    Delete multiple purchase receives at once. A maximum of 25 purchase receives can be deleted in a single request.

    DELETE /purchasereceives

  • Destructive

    Update a purchase receive

    Update an existing purchase receive in Zoho Inventory.

    PUT /purchasereceives/{purchasereceive_id}

  • Destructive

    Delete a purchase receive

    Delete a purchase receive from Zoho Inventory.

    DELETE /purchasereceives/{purchasereceive_id}

  • Destructive

    Delete a purchase receive attachment

    Delete an attachment from a purchase receive.

    DELETE /purchasereceives/{purchasereceive_id}/documents/{document_id}

  • Destructive

    Delete a purchase receive comment

    Delete a comment from a purchase receive.

    DELETE /purchasereceives/{purchasereceive_id}/comments/{comment_id}

Landedcosts

  • Read

    Retrieves the details of a specific landed cost

    Retrieve the details of a specific landed cost recorded against a bill, including the cost allocations across the bill line items.

    GET /bills/{bill_id}/landedcosts/{landed_cost_id}

  • Read

    Get bill details for bulk landed cost

    Retrieve the bill and line item details for one or more bills. Use this before calling the bulk landed cost endpoint to fetch the bill items that the landed cost can be allocated against.

    GET /landedcosts/billdetails

  • Write

    Creates a landed cost for a bill.

    Create a landed cost for a bill. Use this to record additional charges such as shipping, customs, or handling against a bill, and allocate those charges across the line items of the bill using the chosen allocation method.

    POST /bills/{bill_id}/landedcosts

  • Write

    Create bulk landed costs

    Create a landed cost from a single source transaction (such as a bill, bill of entry, or self-billed invoice) and allocate it across multiple bills in one call.

    POST /bills/bulklandedcosts

  • Destructive

    Updates an existing landed cost on a bill.

    Update an existing landed cost on a bill. The full landed cost record, including its allocations across the bill line items, is replaced with the values provided in the request body.

    PUT /bills/{bill_id}/landedcosts/{landed_cost_id}

  • Destructive

    Deletes a landed cost from a bill.

    Delete a landed cost from a bill. The allocated amounts are removed from the bill line items.

    DELETE /bills/{bill_id}/landedcosts/{landed_cost_id}

Transferorders

  • Read

    List all the transfer orders

    Lists transfer orders in the Organization. Supports pagination, sort, quick search, custom view, and filters such as status, date range, warehouse or location, item, and transfer order number.

    GET /transferorders

  • Read

    Retrieve a transfer order

    Fetches the details for an existing transfer order.

    GET /transferorders/{transfer_order_id}

  • Write

    Create a transfer order

    Creates a new transfer order in Zoho Inventory.

    POST /transferorders

  • Write

    Mark as Received

    Marks the transfer order as transferred for the Organization. You must pass the transferred date.

    POST /transferorders/{transfer_order_id}/markastransferred

  • Write

    Mark transfer order as in transit

    Marks the transfer order as in transit. Optionally specify whether prices are tax inclusive.

    POST /transferorders/{transfer_order_id}/intransit

  • Write

    Submit a transfer order for approval

    Submit a transfer order for approval workflow.

    POST /transferorders/{transfer_order_id}/submit

  • Write

    Approve a transfer order

    Approve a submitted transfer order.

    POST /transferorders/{transfer_order_id}/approve

  • Write

    Final approval of a transfer order

    Perform the final approval of a transfer order (admin only).

    POST /transferorders/{transfer_order_id}/approve/final

  • Write

    Reject a transfer order

    Reject a submitted transfer order.

    POST /transferorders/{transfer_order_id}/reject

  • Destructive

    Bulk delete transfer orders

    Deletes up to 25 transfer orders in one request. Pass comma-separated transfer order IDs.

    DELETE /transferorders

  • Destructive

    Update a transfer order

    Update an existing transfer order from Zoho Inventory.

    PUT /transferorders/{transfer_order_id}

  • Destructive

    Delete a transfer order

    Deletes an existing transfer order from Zoho Inventory.

    DELETE /transferorders/{transfer_order_id}

Credit notes

  • Read

    List all Credit Notes

    List all the Credit Notes.

    GET /creditnotes

  • Read

    Get a credit note

    Fetch the details of an existing creditnote.

    GET /creditnotes/{creditnote_id}

  • Read

    Get email content

    Get email content of a credit note.

    GET /creditnotes/{creditnote_id}/email

  • Read

    Email history

    Get email history of a credit code.

    GET /creditnotes/{creditnote_id}/emailhistory

  • Read

    List the credit note templates

    Get all credit note pdf templates.

    GET /creditnotes/templates

  • Read

    List invoices credited

    List invoices to which the credit note is applied.

    GET /creditnotes/{creditnote_id}/invoices

  • Read

    List credit note comments & history

    Get history and comments of a credit note.

    GET /creditnotes/{creditnote_id}/comments

  • Read

    List credit note refunds

    List all refunds with pagination.

    GET /creditnotes/refunds

  • Read

    List refunds of a credit note

    List all refunds of an existing credit note.

    GET /creditnotes/{creditnote_id}/refunds

  • Read

    Get credit note refund

    Fetch the refund of a particular credit note.

    GET /creditnotes/{creditnote_id}/refunds/{creditnote_refund_id}

  • Write

    Create a credit note

    To create a credit note for a customer.

    POST /creditnotes

  • Write

    Email a credit note

    Email a credit note.

    POST /creditnotes/{creditnote_id}/email

  • Write

    Convert Credit Note to Draft

    Convert a voided credit note to draft status.

    POST /creditnotes/{creditnote_id}/status/draft

  • Write

    Convert credit note to Open

    Convert a credit note in Draft status to Open.

    POST /creditnotes/{creditnote_id}/converttoopen

  • Write

    Submit a credit note for approval

    Submit a credit note for approval.

    POST /creditnotes/{creditnote_id}/submit

  • Write

    Approve a credit note.

    Approve a credit note.

    POST /creditnotes/{creditnote_id}/approve

  • Write

    Reject a credit note

    Reject a credit note submitted for approval.

    POST /creditnotes/{creditnote_id}/reject

  • Write

    Add attachment to a credit note

    Attach a file to an existing credit note.

    POST /creditnotes/{creditnote_id}/attachment

  • Write

    Apply credits to invoices

    Apply credit note to existing invoices.

    POST /creditnotes/{creditnote_id}/invoices

  • Write

    Add a comment

    Add a comment to an existing credit note.

    POST /creditnotes/{creditnote_id}/comments

  • Write

    Refund credit note

    Refund credit note amount.

    POST /creditnotes/{creditnote_id}/refunds

  • Destructive

    Update a credit note

    To update the details of an existing creditnote.

    PUT /creditnotes/{creditnote_id}

  • Destructive

    Delete a credit note

    Delete an existing credit note.

    DELETE /creditnotes/{creditnote_id}

  • Destructive

    Void a Credit Note

    Mark the credit note as Void.

    POST /creditnotes/{creditnote_id}/void

  • Destructive

    Delete an attachment

    Delete a file attached to a credit note.

    DELETE /creditnotes/{creditnote_id}/documents/{document_id}

  • Destructive

    Update billing address

    Updates the billing address for an existing credit note.

    PUT /creditnotes/{creditnote_id}/address/billing

  • Destructive

    Update Shipping address

    Updates the shipping address for an existing credit note.

    PUT /creditnotes/{creditnote_id}/address/shipping

  • Destructive

    Update a credit note template

    Update the pdf template associated with the credit note.

    PUT /creditnotes/{creditnote_id}/templates/{template_id}

  • Destructive

    Delete credits applied to an invoice

    Delete the credits applied to an invoice.

    DELETE /creditnotes/{creditnote_id}/invoices/{creditnote_invoice_id}

  • Destructive

    Delete a Comment

    Delete a credit note comment.

    DELETE /creditnotes/{creditnote_id}/comments/{comment_id}

  • Destructive

    Update credit note refund

    Update the refunded transaction.

    PUT /creditnotes/{creditnote_id}/refunds/{creditnote_refund_id}

  • Destructive

    Delete credit note refund

    Delete a credit note refund.

    DELETE /creditnotes/{creditnote_id}/refunds/{creditnote_refund_id}

Pricelists

  • Read

    List all pricebooks

    List all the available pricebooks in your zoho inventory.

    GET /pricebooks

  • Write

    Create a pricebook

    create a new pricebook.

    POST /pricebooks

  • Write

    Mark as Active

    Mark the pricebook as Active.

    POST /pricebooks/{pricebook_id}/active

  • Write

    Mark as Inactive

    Mark the pricebook as Inactive.

    POST /pricebooks/{pricebook_id}/inactive

  • Destructive

    Update pricebook

    update existing pricebook.

    PUT /pricebooks/{pricebook_id}

  • Destructive

    Delete the pricebook

    Delete the pricebook.

    DELETE /pricebooks/{pricebook_id}

Customer payments

  • Read

    List Customer Payments

    List all the payments made by your customer.

    GET /customerpayments

  • Read

    Retrieve a payment

    Details of an existing payment.

    GET /customerpayments/{payment_id}

  • Write

    Create a payment

    Create a new payment.

    POST /customerpayments

  • Destructive

    Update custom field in existing customerpayments

    Update the value of the custom field in existing customerpayments.

    PUT /customerpayment/{customer_payment_id}/customfields

  • Destructive

    Update a payment

    Update an existing payment information.

    PUT /customerpayments/{payment_id}

  • Destructive

    Delete a payment

    Delete an existing payment.

    DELETE /customerpayments/{payment_id}

Salesorders

  • Read

    List all Sales Orders

    Lists all the available Sales Orders in Zoho Inventory.

    GET /salesorders

  • Read

    Retrieve a Sales Order

    Retrieves the details for an existing Sales Order.

    GET /salesorders/{salesorder_id}

  • Write

    Create a Sales Order

    Creates a new Sales Order in Zoho Inventory. Description about extra parameter ignoreautonumbergeneration - Ignore auto sales order number generation for this sales order. This mandates the Sales Order number to be entered. Allowed Values true and false .

    POST /salesorders

  • Write

    Mark as Confirmed

    Changes the status of a Sales Order to Confirmed.

    POST /salesorders/{salesorder_id}/status/confirmed

  • Write

    Mark as Void

    Changes the status of a Sales Order to Void.

    POST /salesorders/{salesorder_id}/status/void

  • Write

    Bulk confirm Sales Orders

    Mark existing Sales Orders as confirmed in Zoho Inventory

    POST /salesorders/status/confirmed

  • Write

    Submit a sales order for approval

    Submit a sales order for approval workflow.

    POST /salesorders/{salesorder_id}/submit

  • Write

    Approve a sales order

    Approve a submitted sales order.

    POST /salesorders/{salesorder_id}/approve

  • Write

    Final approval of a sales order

    Perform the final approval of a sales order (admin only).

    POST /salesorders/{salesorder_id}/approve/final

  • Write

    Reject a sales order

    Reject a submitted sales order.

    POST /salesorders/{salesorder_id}/reject

  • Write

    Bulk submit sales orders for approval

    Submit multiple sales orders for approval workflow at once.

    POST /salesorders/submit

  • Write

    Bulk approve sales orders

    Approve multiple submitted sales orders at once.

    POST /salesorders/approve

  • Destructive

    Bulk delete Sales Orders

    Bulk delete the selected Sales Orders.

    DELETE /salesorders

  • Destructive

    Update a Sales Order

    Updates a new Sales Order in Zoho Inventory. Description about extra parameter ignoreautonumbergeneration - Ignore auto sales order number generation for this sales order. This mandates the Sales Order number to be entered. Allowed Values true and false .

    PUT /salesorders/{salesorder_id}

  • Destructive

    Delete a Sales Order

    Deletes an existing Sales Order from Zoho Inventory.

    DELETE /salesorders/{salesorder_id}

Purchaseorders

  • Read

    List all Purchase Orders

    Lists all the Purchase Orders present in Zoho Inventory.

    GET /purchaseorders

  • Read

    Retrieve a Purchase Order

    Retrieves the details for an existing Purchase Order.

    GET /purchaseorders/{purchaseorder_id}

  • Write

    Create a Purchase Order

    Creates a new Purchase Order in Zoho Inventory. Description about extra parameter ignoreautonumbergeneration - Ignore auto purchase order number generation for this Purchase order. This mandates the Purchase Order number to be entered. Allowed Values true and false .

    POST /purchaseorders

  • Write

    Mark as Issued

    Marks a Purchase Order as Issued.

    POST /purchaseorders/{purchaseorder_id}/status/issued

  • Write

    Mark as Cancelled

    Marks a Purchase Order as Cancelled.

    POST /purchaseorders/{purchaseorder_id}/status/cancelled

  • Write

    Submit a purchase order for approval

    Submit a purchase order for approval workflow.

    POST /purchaseorders/{purchaseorder_id}/submit

  • Write

    Approve a purchase order

    Approve a submitted purchase order.

    POST /purchaseorders/{purchaseorder_id}/approve

  • Write

    Reject a purchase order

    Reject a submitted purchase order.

    POST /purchaseorders/{purchaseorder_id}/reject

  • Write

    Final-approve a purchase order

    Mark a submitted purchase order as final approved, bypassing the remaining approval sequence.

    POST /purchaseorders/{purchaseorder_id}/approve/final

  • Write

    Bulk submit purchase orders for approval

    Submit multiple purchase orders for approval workflow at once.

    POST /purchaseorders/submit

  • Write

    Bulk approve purchase orders

    Approve multiple submitted purchase orders at once.

    POST /purchaseorders/approve

  • Destructive

    Update a Purchase Order

    Updates a new Purchase Order in Zoho Inventory. Description about extra parameter ignoreautonumbergeneration - Ignore auto Purchase order number generation for this Purchase Order. This mandates the Purchase Order number to be entered. Allowed Values true and false .

    PUT /purchaseorders/{purchaseorder_id}

  • Destructive

    Delete a Purchase Order

    Deletes a Purchase Order from Zoho Inventory.

    DELETE /purchaseorders/{purchaseorder_id}

Packages

  • Read

    List all packages

    List all existing packages.

    GET /packages

  • Read

    Retrieving a package

    Retrieving details of existing package.

    GET /packages/{package_id}

  • Read

    Bulk print packages

    Print package slips.

    GET /packages/print

  • Write

    Creating a package

    Create a new package for a sales order. Pass salesorderid as a query parameter. To create a package from a picklist, include both solineitemid and picklistitemid on each line item (along with quantity ).

    POST /packages

  • Destructive

    Updating a package

    Updating details of existing package.

    PUT /packages/{package_id}

  • Destructive

    Deleting a package

    Deleting an existing package.

    DELETE /packages/{package_id}

Users

  • Read

    List Users

    Get the list of all users in the organization.

    GET /users

  • Read

    Get a user

    Get the details of a user.

    GET /users/{user_id}

  • Read

    Get current user

    Get the details of the current user.

    GET /users/me

  • Write

    Create a user

    Create a user for your organization.

    POST /users

  • Write

    Invite a user

    Send invitation email to a person, you wish to add as a user to your organisation. For example- an accountant.

    POST /users/{user_id}/invite

  • Write

    Mark user as active

    Mark an inactive user as active.

    POST /users/{user_id}/active

  • Write

    Mark user as inactive

    Mark an active user as inactive.

    POST /users/{user_id}/inactive

  • Destructive

    Update a user

    Update the details of a user.

    PUT /users/{user_id}

  • Destructive

    Delete a user

    Delete a user associated to the organization.

    DELETE /users/{user_id}

Serialnumbers

  • Read

    List all serial numbers

    List all serial numbers available for a given item.

    GET /items/serialnumbers

  • Read

    Retrieve a serial number

    Fetch the details of a specific serial number.

    GET /items/serialnumbers/{serial_number_id}

Organizations

  • Read

    List organizations

    Get the list of organizations.

    GET /organizations

  • Read

    Get an organization

    Get the details of an organization.

    GET /organizations/{organization_id}

  • Write

    Create an organization

    Create an organization.

    POST /organizations

  • Destructive

    Update an organization

    Update the details of an organization.

    PUT /organizations/{organization_id}

Picklists

  • Read

    List Picklists

    Retrieve the list of all picklists in the organization.

    GET /picklists

  • Read

    Get a Picklist

    Retrieve the details of an existing picklist.

    GET /picklists/{picklist_id}

  • Read

    Get Advanced Tracking Details for a Picklist

    Retrieve the serial number and batch tracking details for a picklist.

    GET /picklists/{picklist_id}/advancedtrackingdetails

  • Read

    Search Sales Order Line Items

    Search for sales order line items that can be added to a picklist.

    GET /picklists/searchsolineitems

  • Read

    Search Sales Orders

    Search for sales orders that can be used when creating a picklist.

    GET /picklists/searchso

  • Read

    Search Purchase Return Line Items

    Search for purchase return line items that can be added to a picklist.

    GET /picklists/searchprlineitems

  • Write

    Create a Picklist

    Create a new picklist for picking items.

    POST /picklists

  • Write

    Set Status of a Picklist

    Update the status of a specific picklist.

    POST /picklists/{picklist_id}/setstatus

  • Write

    Bulk Set Status of Picklists

    Update the status of multiple picklists at once.

    POST /picklists/setstatus

  • Write

    Add a Comment to a Picklist

    Add a comment or note to an existing picklist.

    POST /picklists/{picklist_id}/comments

  • Destructive

    Bulk Delete Picklists

    Delete multiple picklists at once.

    DELETE /picklists

  • Destructive

    Update a Picklist

    Update the details of an existing picklist.

    PUT /picklists/{picklist_id}

  • Destructive

    Delete a Picklist

    Delete an existing picklist.

    DELETE /picklists/{picklist_id}

  • Destructive

    Delete a Comment on a Picklist

    Delete a comment from an existing picklist.

    DELETE /picklists/{picklist_id}/comments/{comment_id}

  • Destructive

    Update Advanced Tracking Details for a Picklist

    Update serial number and batch tracking details for items in a picklist.

    PUT /picklists/{picklist_id}/advancedtrackingdetails

Currency

  • Read

    List Currency

    Get list of currencies configured.

    GET /settings/currencies

  • Read

    Get a Currency

    Get the details of a currency.

    GET /settings/currencies/{currency_id}

  • Write

    Create a Currency

    Create a currency for transaction.

    POST /settings/currencies

  • Destructive

    Update a Currency

    Update the details of a currency.

    PUT /settings/currencies/{currency_id}

  • Destructive

    Delete a currency

    Delete a currency. Currency that is associated to any transaction cannot be deleted.

    DELETE /settings/currencies/{currency_id}

Delivery challans

  • Read

    List delivery challans

    Retrieve a list of delivery challans with pagination. Filter by status, customer, date, and more.

    GET /deliverychallans

  • Read

    Retrieve a delivery challan

    Retrieve the details of an existing delivery challan.

    GET /deliverychallans/{deliverychallan_id}

  • Read

    Get a delivery challan attachment

    Download or view an attachment of a delivery challan. Returns the file content directly.

    GET /deliverychallans/{deliverychallan_id}/documents/{document_id}

  • Read

    List delivery challan templates

    Retrieve a list of available templates for delivery challans.

    GET /deliverychallans/templates

  • Write

    Create a delivery challan

    Create a new delivery challan for a customer. The customer ID is required.

    POST /deliverychallans

  • Write

    Mark a delivery challan as open

    Change the status of a delivery challan to open.

    POST /deliverychallans/{deliverychallan_id}/status/open

  • Write

    Mark a delivery challan as delivered

    Change the status of a delivery challan to delivered.

    POST /deliverychallans/{deliverychallan_id}/status/delivered

  • Write

    Mark a delivery challan as returned

    Change the status of a delivery challan to returned.

    POST /deliverychallans/{deliverychallan_id}/status/returned

  • Write

    Mark a delivery challan as undelivered

    Change the status of a delivery challan to undelivered.

    POST /deliverychallans/{deliverychallan_id}/status/undelivered

  • Write

    Add attachment to a delivery challan

    Attach a file to an existing delivery challan. Maximum 20 files, 10 MB each.

    POST /deliverychallans/{deliverychallan_id}/attachment

  • Destructive

    Update a delivery challan

    Update an existing delivery challan.

    PUT /deliverychallans/{deliverychallan_id}

  • Destructive

    Delete a delivery challan

    Delete an existing delivery challan.

    DELETE /deliverychallans/{deliverychallan_id}

  • Destructive

    Return delivery challans

    Partially return one or more delivery challans by specifying the line items and quantities to return.

    PUT /deliverychallans/return

  • Destructive

    Undo return of delivery challans

    Undo a previously applied return for one or more delivery challans.

    PUT /deliverychallans/undo/return

  • Destructive

    Delete a delivery challan attachment

    Delete an attachment from a delivery challan.

    DELETE /deliverychallans/{deliverychallan_id}/documents/{document_id}

  • Destructive

    Update a delivery challan template

    Assign a different template to an existing delivery challan.

    PUT /deliverychallans/{deliverychallan_id}/templates/{template_id}

  • Destructive

    Update shipping address

    Update the shipping address of an existing delivery challan.

    PUT /deliverychallans/{deliverychallan_id}/address/shipping

Putaways

  • Read

    List all putaways

    Lists putaway transactions with optional filters and pagination.

    GET /putaways

  • Read

    Retrieve a putaway

    Fetches details of an existing putaway, including line items.

    GET /putaways/{putaway_id}

  • Read

    List comments for a putaway

    Returns all comments recorded on a putaway.

    GET /putaways/{putaway_id}/comments

  • Read

    Download a putaway document

    Returns the binary content of an attached document (image or PDF).

    GET /putaways/{putaway_id}/documents/{document_id}

  • Read

    Get putaway auto number generation settings

    Returns auto number generation preferences for putaways.

    GET /settings/putaways

  • Write

    Create a putaway

    Creates a new putaway transaction in Zoho Inventory.

    POST /putaways

  • Write

    Attach files to a putaway

    Uploads one or more files and associates them with the putaway.

    POST /putaways/{putaway_id}/attachment

  • Destructive

    Update a putaway

    Updates an existing putaway transaction.

    PUT /putaways/{putaway_id}

  • Destructive

    Delete a putaway

    Deletes an existing putaway transaction.

    DELETE /putaways/{putaway_id}

  • Destructive

    Remove an attachment from a putaway

    Deletes or unlinks a document from the putaway.

    DELETE /putaways/{putaway_id}/documents/{document_id}

Moveorders

  • Read

    List all move orders

    Lists move orders with optional filters, search options, and pagination.

    GET /moveorders

  • Read

    Retrieve a move order

    Fetches details of an existing move order, including line items.

    GET /moveorders/{moveorder_id}

  • Read

    List comments for a move order

    Returns all comments recorded on a move order.

    GET /moveorders/{moveorder_id}/comments

  • Read

    Download a move order document

    Returns the binary content of an attached document (image or PDF).

    GET /moveorders/{moveorder_id}/documents/{document_id}

  • Read

    Get move order auto number generation settings

    Returns auto number generation preferences for move orders.

    GET /settings/moveorders

  • Write

    Create a move order

    Creates a new move order in Zoho Inventory.

    POST /moveorders

  • Write

    Mark move order as confirmed

    Updates the move order status to confirmed.

    POST /moveorders/{moveorder_id}/markasconfirmed

  • Write

    Mark move order as in progress

    Updates the move order status to in progress.

    POST /moveorders/{moveorder_id}/markasinprogress

  • Write

    Mark move order as completed

    Updates the move order status to completed. A completion date is required.

    POST /moveorders/{moveorder_id}/markascompleted

  • Write

    Attach files to a move order

    Uploads one or more files and associates them with the move order.

    POST /moveorders/{moveorder_id}/attachment

  • Destructive

    Delete move orders

    Deletes move orders.

    DELETE /moveorders

  • Destructive

    Update a move order

    Updates an existing move order.

    PUT /moveorders/{moveorder_id}

  • Destructive

    Delete a move order

    Deletes a single move order.

    DELETE /moveorders/{moveorder_id}

  • Destructive

    Remove an attachment from a move order

    Deletes or unlinks a document from the specified move order.

    DELETE /moveorders/{moveorder_id}/documents/{document_id}

Locations

  • Read

    List all locations

    List all the available locations in your zoho inventory.

    GET /locations

  • Read

    Get a location

    Get the details of a location.

    GET /locations/{location_id}

  • Read

    List users of a location

    List the users associated with a location.

    GET /locations/{location_id}/users

  • Write

    Enable Locations

    Enable Locations for an organisation.

    POST /settings/locations/enable

  • Write

    Create a location

    Create a location.

    POST /locations

  • Write

    Mark as Active

    Mark location as Active.

    POST /locations/{location_id}/active

  • Write

    Mark as Inactive

    Mark location as Inactive.

    POST /locations/{location_id}/inactive

  • Write

    Mark as Primary

    Mark location as primary.

    POST /locations/{location_id}/markasprimary

  • Destructive

    Update location

    Update location

    PUT /locations/{location_id}

  • Destructive

    Delete a location

    Delete a location.

    DELETE /locations/{location_id}

Storagelocations

  • Read

    List all Zones

    List all zones configured for warehouses and locations in your Zoho Inventory organization.

    GET /storagezones

  • Read

    Get a Zone

    Retrieve the details of a specific zone and its bin hierarchy.

    GET /storagezones/{zone_id}

  • Read

    List all Bins

    List all bin locations available in your Zoho Inventory organization.

    GET /storagelocations

  • Read

    Get a Bin

    Retrieve the details of a specific bin location.

    GET /storagelocations/{storage_id}

  • Read

    Get Item Bin Mappings

    Retrieve the bins mapped to a specific item.

    GET /items/{item_id}/storagelocationsmapping

  • Read

    Get Item Default Bin

    Retrieve the default bin mapping for a specific item.

    GET /items/{item_id}/defaultstoragemapping

  • Read

    Get Composite Item Default Bin

    Retrieve the default bin mapping for a specific composite item.

    GET /compositeitems/{item_id}/defaultstoragemapping

  • Write

    Enables bin locations for a specific warehouse

    Enable bin locations for a specific warehouse so goods can be tracked.

    POST /settings/warehouses/{warehouse_id}/storagelocations/enable

  • Write

    Disable Bin Locations for a Warehouse

    Disable bin locations for a specific warehouse.

    POST /settings/warehouses/{warehouse_id}/storagelocations/disable

  • Write

    Enable Bin Locations for a Location

    Enable bin locations for a specific location so goods can be tracked.

    POST /locations/{location_id}/storagelocations/enable

  • Write

    Disable Bin Locations for a Location

    Disable bin locations for a specific location.

    POST /locations/{location_id}/storagelocations/disable

  • Write

    Create a Zone

    Creates a zone for a specific location or warehouse.

    POST /storagezones

  • Write

    Create a Bin

    Create a bin within a zone so goods can be stored and tracked to the smallest unit space.

    POST /storagelocations

  • Write

    Mark Bins as Active

    Mark multiple bin locations as active.

    POST /storagelocations/active

  • Write

    Mark Bins as Inactive

    Mark multiple bin locations as inactive.

    POST /storagelocations/inactive

  • Destructive

    Mark Zones as Active

    Bulk mark zones as active.

    PUT /storagezones/active

  • Destructive

    Mark Zones as Inactive

    Bulk mark zones as inactive.

    PUT /storagezones/inactive

  • Destructive

    Update a Zone

    Update and manage an existing zone and the hierarchy used to create bins within it.

    PUT /storagezones/{zone_id}

  • Destructive

    Delete a Zone

    Delete a specific zone when it is no longer needed.

    DELETE /storagezones/{zone_id}

  • Destructive

    Bulk Delete Bins

    Delete multiple bin locations in bulk.

    DELETE /storagelocations

  • Destructive

    Update a Bin

    Update the details of an existing bin location.

    PUT /storagelocations/{storage_id}

  • Destructive

    Delete a Bin

    Delete a specific bin location when it is no longer needed.

    DELETE /storagelocations/{storage_id}

  • Destructive

    Update Item Bin Mappings

    Update the bin mappings for a specific item.

    PUT /items/{item_id}/storagelocationsmapping

  • Destructive

    Configure Item Default Bin

    Configure the default bin per location for a specific item.

    PUT /items/{item_id}/configure/defaultstorage

  • Destructive

    Configure Composite Item Default Bin

    Configure the default bin per location for a specific composite item.

    PUT /compositeitems/{item_id}/configure/defaultstorage

Tasks

  • Read

    List tasks

    List a task.

    GET /tasks

  • Read

    Get a task

    Get a task.

    GET /tasks/{task_id}

  • Read

    List comments of task

    List comments of a task.

    GET /tasks/{task_id}/comments

  • Read

    Get document of task

    Get a document of a task.

    GET /tasks/{task_id}/documents/{document_id}

  • Write

    Add a task

    Add a task.

    POST /tasks

  • Write

    Update completed percentage

    Update completed percentage of a task.

    POST /tasks/{task_id}/percentage

  • Write

    Mark task as open

    Mark a task as open.

    POST /tasks/{task_id}/markasopen

  • Write

    Mark task as ongoing

    Mark a task as ongoing.

    POST /tasks/{task_id}/markasongoing

  • Write

    Mark task as completed

    Mark a task as completed.

    POST /tasks/{task_id}/markascompleted

  • Write

    Add comment to task

    Add comment to a task.

    POST /tasks/{task_id}/comments

  • Write

    Add attachment to task

    Add attachment to a task.

    POST /tasks/{task_id}/attachment

  • Destructive

    Update tasks

    Update tasks.

    PUT /tasks

  • Destructive

    Delete tasks

    Delete tasks.

    DELETE /tasks

  • Destructive

    Update a tasks

    Update a tasks.

    PUT /tasks/{task_id}

  • Destructive

    Delete a tasks

    Delete a tasks.

    DELETE /tasks/{task_id}

  • Destructive

    Delete comment of task

    Delete a comment of a task.

    DELETE /tasks/{task_id}/comments/{comment_id}

  • Destructive

    Delete document of task

    Delete a document of a task.

    DELETE /tasks/{task_id}/documents/{document_id}

Salesreturns

  • Read

    List all Sales Returns

    Lists all the Sales Returns present in Zoho Inventory.

    GET /salesreturns

  • Read

    Retrieve a Sales Return

    Retrieves the details for an existing Sales Return.

    GET /salesreturns/{salesreturn_id}

  • Write

    Create a Sales Return

    Creation of Sales Return. Sales return can be created for all the shipped units of the items in a sales order.

    POST /salesreturns

  • Write

    Create a Sales Return Receive

    Creating a sales return receive to mark the receivable goods as received.

    POST /salesreturnreceives

  • Destructive

    Update a Sales Return

    Updation of Sales Return.

    PUT /salesreturns/{salesreturn_id}

  • Destructive

    Delete a Sales Return

    Deletes a Sales Return from Zoho Inventory.

    DELETE /salesreturns/{salesreturn_id}

  • Destructive

    Delete a Sales Return Receive

    Deletes the sales return receive of a sales return.

    DELETE /salesreturnreceives/{salesreturnreceive_id}

Compositeitems

  • Read

    List All Composite Items

    List of all composite items.

    GET /compositeitems

  • Read

    Retrieving a Composite Item

    Retrieving details of an existing compostie item.

    GET /compositeitems/{composite_item_id}

  • Read

    Assemblies History

    List of all Assemblies of a given composite item.

    GET /bundles

  • Read

    Retrieve Assemblies

    Fetches the details for an existing Assemblies.

    GET /bundles/{bundle_id}

  • Write

    Creating a Composite Item

    A new composite item can be created after creating items that we want to associcate with composite item.

    POST /compositeitems

  • Write

    Mark as Active

    Changing status of an existing composite item to active.

    POST /compositeitems/{composite_item_id}/active

  • Write

    Mark as Inactive

    Changing status of an existing composite item to inactive.

    POST /compositeitems/{composite_item_id}/inactive

  • Write

    Upload Composite Item Images

    Uploads an image for a composite item. Accepted image formats: gif , png , jpeg , jpg , bmp , webp . Maximum file size is 7 MB.

    POST /compositeitems/{composite_item_id}/image

  • Write

    Create Assemblies

    Assemblies is the technique of putting together different components in desired quantities to produce a single commodity. These components could be goods, services and other non-inventory items of your choice.

    POST /bundles

  • Write

    Mark Assembly as Assembled

    Marks an existing assembly as built, indicating that the composite item has been assembled from its components.

    POST /bundles/{bundle_id}/bundled

  • Write

    Mark Assembly as Confirmed

    Marks an existing assembly as confirmed.

    POST /bundles/{bundle_id}/confirmed

  • Destructive

    Updating a composite item

    Updating details of an existing composite item.

    PUT /compositeitems/{composite_item_id}

  • Destructive

    Deleting a Composite Item

    Deleting an existing Composite Item.

    DELETE /compositeitems/{composite_item_id}

  • Destructive

    Delete Composite Item Image

    Deletes the images associated with a composite item.

    DELETE /compositeitems/{composite_item_id}/image

  • Destructive

    Update an Assembly

    Updates the details of an existing assembly.

    PUT /bundles/{bundle_id}

  • Destructive

    Delete Assemblies

    Deletes an existing Assemblies from Zoho Inventory.

    DELETE /bundles/{bundle_id}

Purchase returns

  • Read

    List all Purchase Returns

    List all purchase returns in Zoho Inventory. Use query parameters to filter by status, vendor, date range, and other criteria.

    GET /purchasereturns

  • Read

    Retrieve a Purchase Return

    Retrieve the details of an existing purchase return.

    GET /purchasereturns/{purchase_return_id}

  • Write

    Create a Purchase Return

    Create a new purchase return in Zoho Inventory. A purchase return can be created standalone or from a purchase order.

    POST /purchasereturns

  • Write

    Confirm a Purchase Return

    Change the status of a draft purchase return to confirmed.

    POST /purchasereturns/{purchase_return_id}/status/open

  • Write

    Fulfill a Purchase Return

    Mark the items in a purchase return as fulfilled (shipped back to the vendor).

    POST /purchasereturns/{purchase_return_id}/status/fulfilled

  • Write

    Unfulfill a Purchase Return

    Reverse the fulfillment of items in a purchase return.

    POST /purchasereturns/{purchase_return_id}/status/unfulfilled

  • Write

    Email a Purchase Return

    Send a purchase return via email to the vendor or specified recipients.

    POST /purchasereturns/{purchase_return_id}/email

  • Write

    Add Attachment to a Purchase Return

    Attach a file to a purchase return. The file must be multipart/form-data. Allowed extensions: gif, png, jpeg, jpg, bmp, pdf, xls, xlsx, doc, docx, xml, csv, txt, tif, tiff, msg, eml, dwg. Maximum file size is 10 MB.

    POST /purchasereturns/{purchase_return_id}/attachment

  • Destructive

    Update a Purchase Return

    Update an existing purchase return in Zoho Inventory.

    PUT /purchasereturns/{purchase_return_id}

  • Destructive

    Delete a Purchase Return

    Delete an existing purchase return from Zoho Inventory.

    DELETE /purchasereturns/{purchase_return_id}

  • Destructive

    Void a Purchase Return

    Mark an existing purchase return as void.

    POST /purchasereturns/{purchase_return_id}/status/void

  • Destructive

    Close a Purchase Return

    Mark one or more purchase returns as closed. Closing a purchase return cancels the remaining unfulfilled quantities.

    PUT /purchasereturns/status/closed

  • Destructive

    Reopen a Purchase Return

    Reopen one or more closed purchase returns.

    PUT /purchasereturns/status/reopen

  • Destructive

    Update Shipping Address

    Update the shipping address of a purchase return.

    PUT /purchasereturns/{purchase_return_id}/address/shipping

  • Destructive

    Update Billing Address

    Update the billing address of a purchase return.

    PUT /purchasereturns/{purchase_return_id}/address/billing

  • Destructive

    Delete an Attachment

    Delete a file attached to a purchase return.

    DELETE /purchasereturns/{purchase_return_id}/documents/{document_id}

Inventoryadjustments

  • Read

    List all the inventory adjustments

    Lists all the inventory adjustments present in Zoho Inventory.

    GET /inventoryadjustments

  • Read

    Retrieve an inventory adjustment

    Fetches the details for an existing inventory adjustment.

    GET /inventoryadjustments/{inventory_adjustment_id}

  • Write

    Create an inventory adjustment

    Creates a new inventory adjustment in Zoho Inventory.

    POST /inventoryadjustments

  • Write

    Submit an inventory adjustment for approval

    Submit an inventory adjustment for approval workflow.

    POST /inventoryadjustments/{inventory_adjustment_id}/submit

  • Write

    Approve an inventory adjustment

    Approve a submitted inventory adjustment.

    POST /inventoryadjustments/{inventory_adjustment_id}/approve

  • Write

    Final approval of an inventory adjustment

    Perform the final approval of an inventory adjustment (admin only).

    POST /inventoryadjustments/{inventory_adjustment_id}/approve/final

  • Write

    Reject an inventory adjustment

    Reject a submitted inventory adjustment.

    POST /inventoryadjustments/{inventory_adjustment_id}/reject

  • Destructive

    Update an inventory adjustment

    Update the details of an existing inventory adjustment by quantity.

    PUT /inventoryadjustments/{inventory_adjustment_id}

  • Destructive

    Delete an inventory adjustment

    Deletes an existing inventory adjustment from Zoho Inventory.

    DELETE /inventoryadjustments/{inventory_adjustment_id}

Shipmentorders

  • Read

    Retrieve a Shipment Order

    Retrieves details for an existing Shipment Orders.

    GET /shipmentorders/{shipmentorder_id}

  • Write

    Create a Shipment Order

    A new shipment order can a be created. To create shipment, URL parameter's packageids and salesorderid are mandatory.

    POST /shipmentorders

  • Write

    Mark as Delivered

    Change the status of the Shipment to delivered.

    POST /shipmentorders/{shipmentorder_id}/status/delivered

  • Destructive

    Update a Shipment Order

    Update details of an existing Shipment Order in Zoho Inventory.

    PUT /shipmentorders/{shipmentorder_id}

  • Destructive

    Delete a Shipment Order

    Deletes an existing Shipment Order.

    DELETE /shipmentorders/{shipmentorder_id}

Taxes

  • Read

    List taxes

    List of simple and compound taxes with pagination.

    GET /settings/taxes

  • Read

    Get a tax

    Get the details of a simple or compound tax.

    GET /settings/taxes/{tax_id}

  • Read

    Get a tax group

    Get the details of a tax group.

    GET /settings/taxgroups/{tax_group_id}

  • Read

    List tax authorities [US Edition only]

    List of tax authorities.

    GET /settings/taxauthorities

  • Read

    Get a tax authority [US and CA Edition only]

    Get the details of a tax authority.

    GET /settings/taxauthorities/{tax_authority_id}

  • Read

    List tax exemptions [US Edition only]

    List of tax exemptions.

    GET /settings/taxexemptions

  • Read

    Get a tax exemption [US Edition only]

    Get the details of a tax exemption.

    GET /settings/taxexemptions/{tax_exemption_id}

  • Write

    Create a tax

    Create a tax which can be associated with an item.

    POST /settings/taxes

  • Write

    Create a tax group

    Create a tax group associating multiple taxes.

    POST /settings/taxgroups

  • Write

    Create a tax authority [US and CA Edition only]

    Create a tax authority.

    POST /settings/taxauthorities

  • Write

    Create a tax exemption [US Edition only]

    Create a tax exemption.

    POST /settings/taxexemptions

  • Destructive

    Update a tax

    Update the details of a simple or compound tax.

    PUT /settings/taxes/{tax_id}

  • Destructive

    Delete a tax

    Delete a simple or compound tax.

    DELETE /settings/taxes/{tax_id}

  • Destructive

    Update a tax group

    Update the details of the tax group.

    PUT /settings/taxgroups/{tax_group_id}

  • Destructive

    Delete a tax group

    Delete a tax group. Tax group that is associated to transactions cannot be deleted.

    DELETE /settings/taxgroups/{tax_group_id}

  • Destructive

    Update a tax authority [US and CA Edition only]

    Update the details of a tax authority.

    PUT /settings/taxauthorities/{tax_authority_id}

  • Destructive

    Delete a tax authority [US and CA Edition only]

    Delete a tax authority.

    DELETE /settings/taxauthorities/{tax_authority_id}

  • Destructive

    Update a tax exemption [US Edition only]

    Update the details of a tax exemption.

    PUT /settings/taxexemptions/{tax_exemption_id}

  • Destructive

    Delete a tax exemption [US Edition only]

    Delete a tax exemption.

    DELETE /settings/taxexemptions/{tax_exemption_id}

Inventorycounting

  • Read

    List all stock counts

    Returns a paginated list of all stock counts in the organization. Supports filtering by status or assignee, searching by count number or description, and sorting by various columns. Default sort is by createdtime descending.

    GET /inventorycounts

  • Read

    Retrieve a stock count

    Fetches the complete details of an existing stock count including its header information, line items, status, assignee details, and any associated inventory adjustments.

    GET /inventorycounts/{inventorycount_id}

  • Read

    List serial/batch tracking details for a count line item

    Returns a paginated list of serial number or batch tracking entries for a specific stock count line item. Use filterby to show all, missing, or newly-added tracking entries relative to the system records.

    GET /inventorycountitems/{inventorycount_item_id}/trackingdetails

  • Read

    List storage details for a count item

    Retrieves all storage location (bin) details for a specific product (item) that has been added to a stock count. This is used for items that are tracked by storage/bin location.

    GET /inventorycounts/{inventorycount_id}/items/{item_id}/storages

  • Read

    Search items in in-progress stock counts

    Returns a list of stock count line items from in-progress counts, suitable for autocomplete/search UI. Supports filtering by item ID, storage location, warehouse, category, manufacturer, and item type (bin-tracked vs non-bin-tracked).

    GET /autocomplete/inventorycounts/items

  • Read

    Search storage locations in in-progress stock counts

    Returns a list of storage locations (bins) from in-progress stock counts, suitable for autocomplete/search UI. Supports filtering by storage location, warehouse/location, item ID, and counted status.

    GET /autocomplete/inventorycounts/storages

  • Write

    Create a stock count

    Creates a new stock count (stock take) in Zoho Inventory. The count starts in yettostart status. You must specify the warehouse/location and the line items (products) to count. Duplicate products in line items are not allowed. A maximum of 1000 line items per count.

    POST /inventorycounts

  • Write

    Start a stock count

    Initiates the counting process for a stock count that is in yettostart status. This captures the system quantities for each line item at the time of start and moves the count to counting status. Only the assigned user can start the count.

    POST /inventorycounts/{inventorycount_id}/start

  • Write

    Submit a stock count for approval

    Submits a count that is in counting status for review and approval. Moves the count to submitted (pending approval) status. Pass setuncountedaszero=true as a query parameter to treat any uncounted items as having a counted quantity of zero before submission.

    POST /inventorycounts/{inventorycount_id}/submit

  • Destructive

    Bulk delete stock counts

    Deletes multiple stock counts in a single request. Counts with associated inventory adjustments cannot be deleted.

    DELETE /inventorycounts

  • Destructive

    Update a stock count

    Updates the details of an existing stock count that is in yettostart status. You can update the assignee, notes, and line items. Warehouse/location cannot be changed once child counts exist.

    PUT /inventorycounts/{inventorycount_id}

  • Destructive

    Delete a stock count

    Deletes an existing stock count. Counts with associated inventory adjustments cannot be deleted.

    DELETE /inventorycounts/{inventorycount_id}

  • Destructive

    Update counted quantities

    Records or updates the physical counted quantities for line items in a count that is in counting status. Only the assigned user can enter counted quantities. Pass nextaction: "submit" to automatically submit the count after recording quantities.

    PUT /inventorycounts/{inventorycount_id}/count

  • Destructive

    Approve or reject line items in a stock count

    Approves or rejects individual line items in a count that is in submitted (pending approval) status. Each line item must specify an itemid and an approvalstatus of either approved or rejected . Approved items with quantity differences trigger inventory adjustments.

    PUT /inventorycounts/{inventorycount_id}/approve

  • Destructive

    Cancel a stock count

    Cancels a stock count that is in yettostart or counting status. Cancelled counts cannot be restarted.

    POST /inventorycounts/{inventorycount_id}/cancel

Recurringinventorycounting

  • Read

    List all recurring stock count profiles

    Returns a paginated list of all recurring stock count profiles in the organization. Supports filtering by status, schedule frequency, assignee, warehouse/location, and date ranges.

    GET /recurringinventorycounts

  • Read

    Retrieve a recurring stock count profile

    Fetches the details of an existing recurring stock count profile including its schedule configuration, line items, and status.

    GET /recurringinventorycounts/{recurringinventorycount_id}

  • Write

    Create a recurring stock count profile

    Creates a recurring stock count profile that automatically generates stock counts on a schedule. Two schedule types are supported: auto (system-generated schedule based on recurrence frequency) and manual (user-specified count dates).

    POST /recurringinventorycounts

  • Write

    Mark a recurring stock count profile as active

    Changes the status of a recurring stock count profile to active . Active profiles will continue generating counts on schedule.

    POST /recurringinventorycounts/{recurringinventorycount_id}/active

  • Write

    Mark a recurring stock count profile as inactive

    Changes the status of a recurring stock count profile to inactive . Inactive profiles will not generate new counts until reactivated.

    POST /recurringinventorycounts/{recurringinventorycount_id}/inactive

  • Destructive

    Update a recurring stock count profile

    Updates an existing recurring stock count profile. For auto schedules, startdate cannot be changed once the profile has executed at least once. The next count date cannot be set to today if an active count already exists for this profile.

    PUT /recurringinventorycounts/{recurringinventorycount_id}

  • Destructive

    Delete a recurring stock count profile

    Permanently deletes an existing recurring stock count profile. Stock counts already generated by this profile are not affected.

    DELETE /recurringinventorycounts/{recurringinventorycount_id}

Inventorycounting settings

  • Destructive

    Update stock count auto-numbering settings

    Updates the auto-numbering configuration for stock counts, such as the prefix string and the next number in the sequence.

    PUT /settings/inventorycounts

  • Destructive

    Update stock counts preferences

    Updates global preferences for the stock counts feature, including the default adjustment reason and the default adjustment account used when creating inventory adjustments from count discrepancies.

    PUT /settings/preferences/inventorycounts

Batches

  • Read

    List all batches

    List all batches available for a given item.

    GET /items/batches

  • Read

    Retrieve a batch

    Fetch the details of a specific batch.

    GET /items/batches/{batch_id}

  • Write

    Create a batch

    Create a new batch for an item that has batch tracking enabled.

    POST /items/batches

  • Write

    Mark a batch as active

    Mark a specific batch as active.

    POST /items/batches/{batch_id}/active

  • Write

    Mark a batch as inactive

    Mark a specific batch as inactive.

    POST /items/batches/{batch_id}/inactive

  • Write

    Mark batches as active

    Mark multiple batches as active in a single request.

    POST /items/batches/active

  • Write

    Mark batches as inactive

    Mark multiple batches as inactive in a single request.

    POST /items/batches/inactive

  • Destructive

    Bulk delete batches

    Delete multiple batches in a single request. Batches with associated transactions cannot be deleted.

    DELETE /items/batches

  • Destructive

    Update a batch

    Update the details of an existing batch.

    PUT /items/batches/{batch_id}

  • Destructive

    Delete a batch

    Delete a single batch. The batch must not have any associated transactions.

    DELETE /items/batches/{batch_id}

Items

  • Read

    List all the items

    Lists all the items present in Zoho Inventory.

    GET /items

  • Read

    Bulk fetch item details

    Fetch item details for the mentioned item IDs

    GET /itemdetails

  • Read

    Retrieve an item

    Fetches the details for an existing item.

    GET /items/{item_id}

  • Read

    Retrieve an item image

    Retrieves the image associated with an item.

    GET /items/{item_id}/image

  • Read

    Retrieve variant opening stock

    Fetches the opening stock details of a variant, including batches, serial numbers, and warehouse details.

    GET /variants/{variant_id}/openingstock

  • Read

    Validate serial numbers

    Checks serial number availability for outgoing transactions.

    POST /items/{item_id}/serialnumber/validate

  • Read

    Validate and map serial numbers

    Validates serial number availability and maps them with bin locations for outgoing transactions.

    POST /items/{item_id}/serialnumber/validateandmap

  • Read

    List sales orders for an item

    Lists all sales orders associated with a particular item.

    GET /items/transactions/salesorders

  • Read

    List purchase orders for an item

    Lists all purchase orders associated with a particular item.

    GET /items/transactions/purchaseorders

  • Read

    List invoices for an item

    Lists all invoices associated with a particular item.

    GET /items/transactions/invoices

  • Read

    List delivery challans for an item

    Lists all delivery challans associated with a particular item.

    GET /items/transactions/deliverychallans

  • Read

    List sales receipts for an item

    Lists all sales receipts associated with a particular item.

    GET /items/transactions/salesreceipts

  • Read

    List move orders for an item

    Lists all move orders associated with a particular item.

    GET /items/transactions/moveorders

  • Read

    List putaways for an item

    Lists all putaways associated with a particular item.

    GET /items/transactions/putaways

  • Read

    List items

    Lists all items in the organization. Supports filters, search, and pagination.

    GET /itemmasters

  • Read

    Retrieve an item

    Fetches the details of an existing item.

    GET /itemmasters/{item_master_id}

  • Read

    List item variants

    Lists all item variants in the organization. Supports filters, search, and pagination.

    GET /itemvariants

  • Read

    Retrieve an item variant

    Fetches the details of an existing item variant.

    GET /itemvariants/{variant_id}

  • Write

    Create an item

    Creates a new item in Zoho Inventory.

    POST /items

  • Write

    Upload an item image

    Uploads an image for an item in Zoho Inventory. Allowed formats: gif, png, jpeg, jpg, bmp, webp. Maximum size: 7 MB.

    POST /items/{item_id}/image

  • Write

    Mark as active

    Changes the status of an item to active.

    POST /items/{item_id}/active

  • Write

    Mark as inactive

    Mark an item as inactive.

    POST /items/{item_id}/inactive

  • Write

    Upload multiple item images

    Uploads multiple images for an item. Allowed formats: gif, png, jpeg, jpg, bmp, webp. Maximum size: 7 MB per image.

    POST /items/{item_id}/images

  • Write

    Reorder item images

    Reorders the images associated with an item.

    POST /items/{item_id}/images/reorder

  • Write

    Upload an item back image

    Uploads a back image for an item. Allowed formats: gif, png, jpeg, jpg, bmp, webp. Maximum size: 7 MB.

    POST /items/{item_id}/backimage

  • Write

    Bulk mark items as active

    Changes the status of multiple items to active.

    POST /items/active

  • Write

    Bulk mark items as inactive

    Changes the status of multiple items to inactive.

    POST /items/inactive

  • Write

    Ungroup items

    Ungroups the specified items from their variant grouping.

    POST /items/ungroup

  • Write

    Enable storage location for items

    Enables storage location tracking for the specified items.

    POST /items/enablestoragelocation

  • Write

    Disable storage location for items

    Disables storage location tracking for the specified items.

    POST /items/disablestoragelocation

  • Write

    Create an item

    Creates a new item in Zoho Inventory. You can attach an image by passing the form-data parameter image .

    POST /itemmasters

  • Write

    Bulk mark items as active

    Changes the status of multiple items to active.

    POST /itemmasters/active

  • Write

    Bulk mark items as inactive

    Changes the status of multiple items to inactive.

    POST /itemmasters/inactive

  • Write

    Mark an item as active

    Changes the status of an item to active.

    POST /itemmasters/{item_master_id}/active

  • Write

    Mark an item as inactive

    Changes the status of an item to inactive.

    POST /itemmasters/{item_master_id}/inactive

  • Write

    Create an item variant

    Creates a new item variant in Zoho Inventory. You can attach an image by passing the form-data parameter image .

    POST /itemvariants

  • Write

    Bulk mark item variants as active

    Changes the status of multiple item variants to active.

    POST /itemvariants/active

  • Write

    Bulk mark item variants as inactive

    Changes the status of multiple item variants to inactive.

    POST /itemvariants/inactive

  • Write

    Mark an item variant as active

    Changes the status of an item variant to active.

    POST /itemvariants/{variant_id}/active

  • Write

    Mark an item variant as inactive

    Changes the status of an item variant to inactive.

    POST /itemvariants/{variant_id}/inactive

  • Write

    Mark item variants as single items

    Marks the specified item variants as single items.

    POST /itemvariants/ungroup

  • Destructive

    Delete multiple items

    Deletes multiple items from Zoho Inventory.

    DELETE /items

  • Destructive

    Update an item

    Update the details of an item.

    PUT /items/{item_id}

  • Destructive

    Delete an item

    Deletes an existing item from Zoho Inventory.

    DELETE /items/{item_id}

  • Destructive

    Update custom field in existing items

    Update the value of the custom field in existing items.

    PUT /item/{item_id}/customfields

  • Destructive

    Delete an item image

    Deletes the image associated for an item in Zoho Inventory.

    DELETE /items/{item_id}/image

  • Destructive

    Update variant opening stock

    Updates the opening stock details of a variant.

    PUT /variants/{variant_id}/openingstock

  • Destructive

    Delete multiple item images

    Deletes multiple images associated with an item.

    DELETE /items/{item_id}/images

  • Destructive

    Delete an item back image

    Deletes the back image associated with an item.

    DELETE /items/{item_id}/backimage

  • Destructive

    Mark an image as back image

    Marks an existing item image as the rear/back image.

    PUT /items/{item_id}/images/{image_id}/backimage

  • Destructive

    Move an item

    Moves an item to a different group or location.

    PUT /items/move/{item_id}

  • Destructive

    Group items

    Groups items together as variants under a single item.

    PUT /items/grouping/{group_id}

  • Destructive

    Update item location permissions

    Updates the location access permissions for an item.

    PUT /items/{item_id}/locations/permissions

  • Destructive

    Bulk update item location permissions

    Updates location access permissions for multiple items at once.

    PUT /items/locations/permissions

  • Destructive

    Update an item

    Updates the details of an existing item. You can attach or replace an image by passing the form-data parameter image .

    PUT /itemmasters/{item_master_id}

  • Destructive

    Delete an item

    Deletes an existing item.

    DELETE /itemmasters/{item_master_id}

  • Destructive

    Bulk delete item variants

    Deletes multiple item variants.

    DELETE /itemvariants

  • Destructive

    Update an item variant

    Updates the details of an existing item variant. You can attach or replace an image by passing the form-data parameter image .

    PUT /itemvariants/{variant_id}

  • Destructive

    Delete an item variant

    Deletes an existing item variant.

    DELETE /itemvariants/{variant_id}

  • Destructive

    Move an item variant

    Moves an item variant to another item. The request body follows the item variant create or update structure and must include the target grouping fields.

    PUT /itemvariants/move/{variant_id}

Retainer invoices

  • Read

    List a retainer invoices

    List all retainer invoices with pagination.

    GET /retainerinvoices

  • Read

    Get a retainer invoice

    Get the details of a retainer invoice.

    GET /retainerinvoices/{retainerinvoice_id}

  • Read

    Get retainer invoice email content

    Get the email content of a retainer invoice.

    GET /retainerinvoices/{retainerinvoice_id}/email

  • Read

    List retainer invoice templates

    Get all retainer invoice pdf templates.

    GET /retainerinvoices/templates

  • Read

    Get a retainer invoice attachment

    Returns the file attached to the retainer invoice.

    GET /retainerinvoices/{retainerinvoice_id}/attachment

  • Read

    List retainer invoice comments & history

    Get the complete history and comments of a retainer invoice.

    GET /retainerinvoices/{retainerinvoice_id}/comments

  • Write

    Create a retainerinvoice

    Create a retainer invoice for your customer.

    POST /retainerinvoices

  • Write

    Mark a retainer invoice as sent

    Mark a draft retainer invoice as sent.

    POST /retainerinvoices/{retainerinvoice_id}/status/sent

  • Write

    Mark as draft

    Mark a voided retainer invoice as draft.

    POST /retainerinvoices/{reatinerinvoice_id}/status/draft

  • Write

    Submit a retainer invoice for approval

    Submit a retainer invoice for approval.

    POST /retainerinvoices/{reatinerinvoice_id}/submit

  • Write

    Approve a retainer invoice.

    Approve a retainer invoice.

    POST /retainerinvoices/{reatinerinvoice_id}/approve

  • Write

    Email a retainer invoice

    Email a retainer invoice to the customer. Input json string is not mandatory. If input json string is empty, mail will be send with default mail content.

    POST /retainerinvoices/{retainerinvoice_id}/email

  • Write

    Add attachment to a retainer invoice

    Attach a file to an invoice.

    POST /retainerinvoices/{retainerinvoice_id}/attachment

  • Write

    Add comment

    Add a comment for a retainer invoice.

    POST /retainerinvoices/{retainerinvoice_id}/comments

  • Destructive

    update a retainerinvoice

    Update an existing invoice.

    PUT /retainerinvoices/{retainerinvoice_id}

  • Destructive

    Delete a retainer invoice

    Delete an existing retainer invoice. Invoices which have payment or credits note applied cannot be deleted.

    DELETE /retainerinvoices/{retainerinvoice_id}

  • Destructive

    Update retainer invoice template

    Update the pdf template associated with the retainer invoice.

    PUT /retainerinvoices/{retainerinvoice_id}/templates/{template_id}

  • Destructive

    Void a retainer invoice

    Mark an invoice status as void. Upon voiding, the payments and credits associated with the retainer invoices will be unassociated and will be under customer credits.

    POST /retainerinvoices/{retainerinvoice_id}/status/void

  • Destructive

    Update billing address

    Updates the billing address for this retainer invoice alone.

    PUT /retainerinvoices/{retainerinvoice_id}/address/billing

  • Destructive

    Delete an attachment

    Delete the file attached to the retainer invoice.

    DELETE /retainerinvoices/{retainerinvoice_id}/documents/{document_id}

  • Destructive

    Update comment

    Update an existing comment of a retainer invoice.

    PUT /retainerinvoices/{retainerinvoice_id}/comments/{comment_id}

  • Destructive

    Delete a comment

    Delete a retainer invoice comment.

    DELETE /retainerinvoices/{retainerinvoice_id}/comments/{comment_id}

Vendor credits

  • Read

    List vendor credits

    List vendor credits with pagination.

    GET /vendorcredits

  • Read

    Get vendor credit

    Get details of a vendor credit.

    GET /vendorcredits/{vendor_credit_id}

  • Read

    List bills credited

    List bills to which the vendor credit is applied.

    GET /vendorcredits/{vendor_credit_id}/bills

  • Read

    List refunds of a vendor credit

    List all refunds of an existing vendor credit.

    GET /vendorcredits/{vendor_credit_id}/refunds

  • Read

    Get vendor credit refund

    Get refund of a particular vendor credit.

    GET /vendorcredits/{vendor_credit_id}/refunds/{vendor_credit_refund_id}

  • Read

    List vendor credit refunds

    List all refunds with pagination.

    GET /vendorcredits/refunds

  • Read

    List vendor credit comments & history

    Get history and comments of a vendor credit.

    GET /vendorcredits/{vendor_credit_id}/comments

  • Write

    Create a vendor credit

    Create a vendor credit for a vendor.

    POST /vendorcredits

  • Write

    Convert to open

    Change an existing vendor credit status to open.

    POST /vendorcredits/{vendor_credit_id}/status/open

  • Write

    Submit a Vendor credit for approval

    Submit a Vendor credit for approval.

    POST /vendorcredits/{vendor_credit_id}/submit

  • Write

    Approve a Vendor credit

    Approve a Vendor credit.

    POST /vendorcredits/{vendor_credit_id}/approve

  • Write

    Apply credits to a bill

    Apply vendor credit to existing bills.

    POST /vendorcredits/{vendor_credit_id}/bills

  • Write

    Refund a vendor credit

    Refund vendor credit amount.

    POST /vendorcredits/{vendor_credit_id}/refunds

  • Write

    Add a comment

    Add a comment to an existing vendor credit.

    POST /vendorcredits/{vendor_credit_id}/comments

  • Destructive

    Update vendor credit

    Update an existing vendor credit.

    PUT /vendorcredits/{vendor_credit_id}

  • Destructive

    Delete vendor credit

    Delete a vendor credit.

    DELETE /vendorcredits/{vendor_credit_id}

  • Destructive

    Void vendor credit

    Mark an existing vendor credit as void.

    POST /vendorcredits/{vendor_credit_id}/status/void

  • Destructive

    Delete bills credited

    Delete the credits applied to a bill.

    DELETE /vendorcredits/{vendor_credit_id}/bills/{vendor_credit_bill_id}

  • Destructive

    Update vendor credit refund

    Update the refunded transaction.

    PUT /vendorcredits/{vendor_credit_id}/refunds/{vendor_credit_refund_id}

  • Destructive

    Delete vendor credit refund

    Delete a vendor credit refund.

    DELETE /vendorcredits/{vendor_credit_id}/refunds/{vendor_credit_refund_id}

  • Destructive

    Delete a comment

    Delete a vendor credit comment.

    DELETE /vendorcredits/{vendor_credit_id}/comments/{comment_id}

Contact persons

  • Read

    List contact persons

    List all contacts with pagination.

    GET /contacts/{contact_id}/contactpersons

  • Read

    Get a contact person

    Get the details of a contact person.

    GET /contacts/{contact_id}/contactpersons/{contact_person_id}

  • Write

    Create a contact person

    Create a contact person for contact.

    POST /contacts/contactpersons

  • Write

    Mark as primary contact person

    Mark a contact person as primary for contact.

    POST /contacts/contactpersons/{contact_person_id}/primary

  • Destructive

    Update a contact person

    Update details of an existing contact person.

    PUT /contacts/contactpersons/{contact_person_id}

  • Destructive

    Delete a contact person

    Delete an existing contact person.

    DELETE /contacts/contactpersons/{contact_person_id}

Reporting tags

  • Read

    List of all Reporting Tags

    Get a list of all reporting tags in the preferred order that you can set.

    GET /reportingtags

  • Read

    Get Reporting Tags Options Detail Page

    Get the options and its criteria details of a reporting tag. For each page, you can retrieve only 200 options.

    GET /reportingtags/options

  • Read

    Get all Options

    Get all options for a reporting tag.

    GET /reportingtags/(\d+)/options/all

  • Write

    Create Reporting Tag

    Create a reporting tag

    POST /reportingtags

  • Write

    Mark an option as default for a reporting tag

    Mark an option as the default option or clear default option for a reporting tag.

    POST /reportingtags/{tag_id}

  • Write

    Mark Reporting Tag as active

    Mark a reporting tag as active so that you can use it on entities which you allowed. A newly created tag will be in draft state. Use this to mark that tag as ready.

    POST /reportingtags/{tag_id}/active

  • Write

    Mark Reporting Tag as inactive

    Mark a reporting tag as inactive.

    POST /reportingtags/{tag_id}/inactive

  • Write

    Mark an option as active

    Mark a reporting tag's option as active.

    POST /reportingtags/{tag_id}/option/(\d+)/active

  • Write

    Mark an option as inactive

    Mark a reporting tag's option as inactive.

    POST /reportingtags/{tag_id}/option/(\d+)/inactive

  • Destructive

    Update Reporting Tag

    Update a reporting tag

    PUT /reportingtags/{tag_id}

  • Destructive

    Delete a reporting tag

    Delete a reporting tag. If there are any usages of the reporting tag in transactions, custom views or workflows, you will not be able to delete the tag.

    DELETE /reportingtags/{tag_id}

  • Destructive

    Update Reporting Tag Options

    Create, update or delete the options of a reporting tag. Reorder and arrange them in an hierarchical structure as per your organization requirements. NOTE: An option cannot be a child option beyond five hierarchical level.

    PUT /reportingtags/{tag_id}/options

  • Destructive

    Update Reporting Tag - Visibility Conditions

    Update the visibility conditions (or filter in some places) of a reporting tag. You can set other tags or location as filters for a tag. Check our help document to know about the requirements of a tag to be associated as a filter to another tag.

    PUT /reportingtags/{tag_id}/criteria

  • Destructive

    Reorder Reporting Tags

    Reorder the reporting tags in your organization. The order of tags will be followed in transactions and reports.

    PUT /reportingtags/reorder

Bills

  • Read

    List all Bills.

    Lists all the Bills in Zoho Inventory.

    GET /bills

  • Read

    Retrieve a Bill

    Fetches the details of a Bill.

    GET /bills/{bill_id}

  • Write

    Create a Bill

    Creates a Bill in Zoho Inventory. Description about the extra parameter attachment Allowed extensions are gif, png, jpeg, jpg, bmp and pdf. To bill against received items, pass receivelineitems inside each lineitems entry.

    POST /bills

  • Write

    Mark as Open

    Marks a Bill as Open.

    POST /bills/{bill_id}/status/open

  • Write

    Mark as Void

    Marks a Bill as Void.

    POST /bills/{bill_id}/status/void

  • Write

    Submit a bill for approval

    Submit a bill for approval workflow.

    POST /bills/{bill_id}/submit

  • Write

    Approve a bill

    Approve a submitted bill.

    POST /bills/{bill_id}/approve

  • Write

    Final approval of a bill

    Perform the final approval of a bill (admin only).

    POST /bills/{bill_id}/approve/final

  • Write

    Reject a bill

    Reject a submitted bill.

    POST /bills/{bill_id}/reject

  • Write

    Bulk submit bills for approval

    Submit multiple bills for approval workflow at once.

    POST /bills/submit

  • Write

    Bulk approve bills

    Approve multiple submitted bills at once.

    POST /bills/approve

  • Destructive

    Update a Bill

    Updates the details of an existing Bill.

    PUT /bills/{bill_id}

  • Destructive

    Delete a Bill.

    Deletes a Bill from Zoho Inventory.

    DELETE /bills/{bill_id}

  • Destructive

    Update custom field in existing bills

    Update the value of the custom field in existing bills.

    PUT /bill/{bill_id}/customfields

See How connections work for access and permissions, or browse all integrations.